This script performs "on the fly" downloads of missing packages on compilation,
a feature that many missed from MiKTeX.  To use it, replace your
lualatex/pdflatex/etc command with a call to this script, e.g.

texliveonfly.py file.tex

[Current default options are --engine=lualatex and
--arguments="-synctex=1 -interaction=nonstopmode"; these can be changed.]

The script was written on Ubuntu and should (hopefully) be compatible with
linux distributions.  Because it is strongly dependent on tlmgr, it can
only be used with TeX Live 2010 or later.

